package ink.wgink.module.file.pojo.dtos.fileclient;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: FileRemoteDTO
 * @Description: 文件远程
 * @Author: wanggeng
 * @Date: 2022/8/4 20:56
 * @Version: 1.0
 */
@ApiModel
public class FileClientDTO {

    @ApiModelProperty(name = "fileClientId", value = "主键")
    private String fileClientId;
    @ApiModelProperty(name = "title", value = "标题")
    private String title;
    @ApiModelProperty(name = "accessKey", value = "上传Key")
    private String accessKey;
    @ApiModelProperty(name = "accessSecret", value = "上传秘钥")
    private String accessSecret;
    @ApiModelProperty(name = "status", value = "状态")
    private String status;
    @ApiModelProperty(name = "gmtCreate", value = "创建时间")
    private String gmtCreate;

    public String getFileClientId() {
        return fileClientId == null ? "" : fileClientId.trim();
    }

    public void setFileClientId(String fileClientId) {
        this.fileClientId = fileClientId;
    }

    public String getTitle() {
        return title == null ? "" : title.trim();
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getAccessKey() {
        return accessKey == null ? "" : accessKey.trim();
    }

    public void setAccessKey(String accessKey) {
        this.accessKey = accessKey;
    }

    public String getAccessSecret() {
        return accessSecret == null ? "" : accessSecret.trim();
    }

    public void setAccessSecret(String accessSecret) {
        this.accessSecret = accessSecret;
    }

    public String getStatus() {
        return status == null ? "" : status.trim();
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
}
